DRM_CRTC_INIT(9)

NAME
drm_crtc_init - Legacy CRTC initialization function

SYNOPSIS

int drm_crtc_init(struct drm_device * dev, struct drm_crtc * crtc, const struct drm_crtc_funcs * funcs);

ARGUMENTS

dev
    DRM device

crtc
    CRTC object to init

funcs
    callbacks for the new CRTC

DESCRIPTION

Initialize a CRTC object with a default helper-provided primary plane and no cursor plane.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT